///////////////////////////////////////////////////////////////////////////////
// VXPLib example
//
// Using Tooltips in Delphi
//
// Last Modified on 22/02/2003
//
// This example is an intellectual property of Vitaly Tomilov
//
// For updates and more information visit www.tooltips.net
///////////////////////////////////////////////////////////////////////////////

unit UsingTooltips;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleServer, VXPLibrary_TLB, ToolWin, ComCtrls, ImgList, StdCtrls,
  Buttons, XPMan;

type
  TMainForm = class(TForm)
    tt: TVXPTooltipManager;
    MainToolBar: TToolBar;
    utImageList: TImageList;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ExitButton: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    ToolButton10: TToolButton;
    ToolButton11: TToolButton;
    CloseButton: TBitBtn;
    XPManifest1: TXPManifest;
    ToolButton4: TToolButton;
    StaticTextControl: TStaticText;
    procedure CloseButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.CloseButtonClick(Sender: TObject);
begin
  MainForm.Close;
end;

procedure TMainForm.ExitButtonClick(Sender: TObject);
begin
  MainForm.Close;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin

  ///////////////////////////////////////////////////////////////////
	// Adding all the tooltips.
  // Contents for tooltips is stored in the resource file.
  // For simplicity you also can pass all the text right in the code.
  ///////////////////////////////////////////////////////////////////

	// Attaching tooltips using Command ID-s:
	tt.commands.Add(0, '<txt res="qhtml:idr_new">');
	tt.commands.Add(1, '<txt res="qhtml:idr_open">');
	tt.commands.Add(3, '<txt res="qhtml:idr_info">');
  tt.commands.Add(11, '<txt res="qhtml:idr_exit">');

  // Attaching tooltips using window handles:
	tt.windows.Add(CloseButton.Handle, '<txt res="qhtml:idr_close">');
	tt.windows.Add(StaticTextControl.Handle, '<txt res="qhtml:idr_static">');
	tt.windows.Add(MainForm.Handle, '<txt res="qhtml:idr_main">');

	// Adding the toolbar class used in the application.
	// To find out what class the toolbar is we used the debug mode
	// of the tooltip manager set as follows:
	// tt.DebugMode = true;
	tt.AddToolbarClass('TToolBar');

end;

end.
